net.minecraft.creativetab

## Class CreativeTabs

- java.lang.Object
- - net.minecraft.creativetab.CreativeTabs

-     public abstract class CreativeTabs
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CreativeTabs[]` | `creativeTabArray`
    `static CreativeTabs` | `tabAllSearch`
    `static CreativeTabs` | `tabBlock`
    `static CreativeTabs` | `tabBrewing`
    `static CreativeTabs` | `tabCombat`
    `static CreativeTabs` | `tabDecorations`
    `static CreativeTabs` | `tabFood`
    `static CreativeTabs` | `tabInventory`
    `static CreativeTabs` | `tabMaterials`
    `static CreativeTabs` | `tabMisc`
    `static CreativeTabs` | `tabRedstone`
    `static CreativeTabs` | `tabTools`
    `static CreativeTabs` | `tabTransport`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreativeTabs(int par1, java.lang.String par2Str)`
    `CreativeTabs(java.lang.String lable)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEnchantmentBooksToList(java.util.List par1List, EnumEnchantmentType... par2ArrayOfEnumEnchantmentType)`
    `void` | `displayAllReleventItems(java.util.List par1List)`
    `boolean` | `drawInForegroundOfTab()`
    `EnumEnchantmentType[]` | `func_111225_m()`
    `boolean` | `func_111226_a(EnumEnchantmentType par1EnumEnchantmentType)`
    `CreativeTabs` | `func_111229_a(EnumEnchantmentType... par1ArrayOfEnumEnchantmentType)`
    `int` | `func_151243_f()`
    `java.lang.String` | `getBackgroundImageName()`
    `ItemStack` | `getIconItemStack()`
    `static int` | `getNextID()`
    `int` | `getTabColumn()`
    `abstract Item` | `getTabIconItem()`
    `int` | `getTabIndex()`
    `java.lang.String` | `getTabLabel()`
    `int` | `getTabPage()`
    `java.lang.String` | `getTranslatedTabLabel()`
    `boolean` | `hasSearchBar()` Determines if the search bar should be shown for this tab.
    `boolean` | `isTabInFirstRow()`
    `CreativeTabs` | `setBackgroundImageName(java.lang.String par1Str)`
    `CreativeTabs` | `setNoScrollbar()`
    `CreativeTabs` | `setNoTitle()`
    `boolean` | `shouldHidePlayerInventory()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### creativeTabArray

          public static CreativeTabs[] creativeTabArray

    - #### tabBlock

          public static final CreativeTabs tabBlock

    - #### tabDecorations

          public static final CreativeTabs tabDecorations

    - #### tabRedstone

          public static final CreativeTabs tabRedstone

    - #### tabTransport

          public static final CreativeTabs tabTransport

    - #### tabMisc

          public static final CreativeTabs tabMisc

    - #### tabAllSearch

          public static final CreativeTabs tabAllSearch

    - #### tabFood

          public static final CreativeTabs tabFood

    - #### tabTools

          public static final CreativeTabs tabTools

    - #### tabCombat

          public static final CreativeTabs tabCombat

    - #### tabBrewing

          public static final CreativeTabs tabBrewing

    - #### tabMaterials

          public static final CreativeTabs tabMaterials

    - #### tabInventory

          public static final CreativeTabs tabInventory

  - ### Constructor Detail

    - #### CreativeTabs

          public CreativeTabs(java.lang.String lable)

    - #### CreativeTabs

          public CreativeTabs(int par1,
                      java.lang.String par2Str)

  - ### Method Detail

    - #### getTabIndex

          public int getTabIndex()

    - #### setBackgroundImageName

          public CreativeTabs setBackgroundImageName(java.lang.String par1Str)

    - #### getTabLabel

          public java.lang.String getTabLabel()

    - #### getTranslatedTabLabel

          public java.lang.String getTranslatedTabLabel()

    - #### getIconItemStack

          public ItemStack getIconItemStack()

    - #### getTabIconItem

          public abstract Item getTabIconItem()

    - #### func_151243_f

          public int func_151243_f()

    - #### getBackgroundImageName

          public java.lang.String getBackgroundImageName()

    - #### drawInForegroundOfTab

          public boolean drawInForegroundOfTab()

    - #### setNoTitle

          public CreativeTabs setNoTitle()

    - #### shouldHidePlayerInventory

          public boolean shouldHidePlayerInventory()

    - #### setNoScrollbar

          public CreativeTabs setNoScrollbar()

    - #### getTabColumn

          public int getTabColumn()

    - #### isTabInFirstRow

          public boolean isTabInFirstRow()

    - #### func_111225_m

          public EnumEnchantmentType[] func_111225_m()

    - #### func_111229_a

          public CreativeTabs func_111229_a(EnumEnchantmentType... par1ArrayOfEnumEnchantmentType)

    - #### func_111226_a

          public boolean func_111226_a(EnumEnchantmentType par1EnumEnchantmentType)

    - #### displayAllReleventItems

          public void displayAllReleventItems(java.util.List par1List)

    - #### addEnchantmentBooksToList

          public void addEnchantmentBooksToList(java.util.List par1List,
                                       EnumEnchantmentType... par2ArrayOfEnumEnchantmentType)

    - #### getTabPage

          public int getTabPage()

    - #### getNextID

          public static int getNextID()

    - #### hasSearchBar

          public boolean hasSearchBar()

      Determines if the search bar should be shown for this tab.
      Returns:
        True to show the bar